<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>My Portfolio</title>
    <link rel="stylesheet" href="css/normalize.css"> <!-- The normalize library will help the website to look the desired way regardless of the user's web browser -->
    <link rel="preload" href="css/style.css" as="style" /> <!-- Use this line to load stylesheet faster => Increase web page performance -->
    <link href="css/style.css" rel="stylesheet"/> <!-- rel = relation with current document-->
    <link rel="preload" href="css/admin_language.css" as="style" />
    <link href="css/admin_language.css" rel="stylesheet"/>
    <link rel="preload" href="css/buttons.css" as="style" />
    <link rel="preload" href="css/containersAndNav.css" as="style" />
    <link href="css/containersAndNav.css" rel="stylesheet"/>
    <link href="css/buttons.css" rel="stylesheet"/> 
    <link rel="preload" href="css/forms.css" as="style" />
    <link href="css/forms.css" rel="stylesheet"/>  
    <link rel="preload" href="css/icons.css" as="style" />
    <link href="css/icons.css" rel="stylesheet"/>
    <link rel="preload" href="css/services.css" as="style" />
    <link href="css/services.css" rel="stylesheet"/> 
    <link rel="preload" href="css/typography.css" as="style" />
    <link href="css/typography.css" rel="stylesheet"/> 
    <link rel="preload" href="css/utilities.css" as="style" />
    <link href="css/utilities.css" rel="stylesheet"/>
    <link rel="preload" href="css/images.css" as="style" />
    <link href="css/images.css" rel="stylesheet"/>
    <!-- Add external fonts from google fonts-->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Raleway:wght@200&display=swap" rel="stylesheet">
    <!-- Other -->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Raleway:wght@200;400;500&display=swap" rel="stylesheet">
    <!-- Including too many external fonts will increase the web page's loading time -->
</head>
<body>
    <header class="hero">                                <!-- You may only use one header area and one main content area. Using multiple sections is fine-->
        <div class="hero-content">
            <h1 class="no_margin">My Portfolio</h1>
            <h2>Lucas Pardina - Computer Engineer Candidate</h2>
            <div class="my_location">
                <!-- Location Icon -->
                <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-map-pin" width="50" height="50" viewBox="0 0 24 24" stroke-width="1.5" stroke="#FFD700" fill="none" stroke-linecap="round" stroke-linejoin="round">
                <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                <circle cx="12" cy="11" r="3" />
                <path d="M17.657 16.657l-4.243 4.243a2 2 0 0 1 -2.827 0l-4.244 -4.243a8 8 0 1 1 11.314 0z" />
                </svg>
                <!-- Location Icon -->
                <p>Córdoba, Argentina</p>
            </div>
            <a class="button" href="https://gitlab.com/english6060242" target="_blank">My Gitlab Profile</a> <!-- If there is only one link you need not use a navigation area-->
        </div> <!-- hero-content -->
        <div class="myTopMenu top_right_corner">                                 
                <div class="w-small-100 myUser no_margin">
                    <div class="languageIcon"></div>
                    <select class="languageSelect" id="changeLanguage">
                        <option class="button-text" value="English">English</option>
                        <option class="button-text" value="Spanish">Español</option>
                    </select>
                </div>
                <a class="w-small-100 myUser no_margin" id="authenticate" type="submit"><div class="userIcon"></div><span class="button-text" id="login_text"></span></a>
        </div>
        <div class="nav-bg">
            <nav class="myContainer Principal_Nav">                                   <!--Navigation area-->
                <a href="myProjects.html">My Projects</a> <!--anchor elements require the href="link" atribute-->
                <a href="aboutMe.html">About Me</a>            <!-- href="#" means I don´t have the link yet-->
                <a href="reviews.html">My Reviews</a>
                <a href="contactMe.html">Contact Me</a>
            </nav>
        </div>
    </header><!-- hero -->
    <main class="myContainer shadow">
        <h3>My Skillset</h3>                
        <div class="myServices">
            <section class="myService">
                <div class = "myIcons">
                    <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-cpu" width="92" height="92" viewBox="0 0 24 24" stroke-width="1.5" stroke="#FFD700" fill="none" stroke-linecap="round" stroke-linejoin="round">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                        <path d="M5 5m0 1a1 1 0 0 1 1 -1h12a1 1 0 0 1 1 1v12a1 1 0 0 1 -1 1h-12a1 1 0 0 1 -1 -1z" />
                        <path d="M9 9h6v6h-6z" />
                        <path d="M3 10h2" />
                        <path d="M3 14h2" />
                        <path d="M10 3v2" />
                        <path d="M14 3v2" />
                        <path d="M21 10h-2" />
                        <path d="M21 14h-2" />
                        <path d="M14 21v-2" />
                        <path d="M10 21v-2" />
                      </svg>               
                </div><!-- .myIcons -->
                <h3>Embedded Systems Development</h3>
                <p>As an accomplished Electronic Technician, I've had the opportunity to work on Embedded Software Development with various microcontroller platforms like PIC,
                     ARM, Raspberry PI, and NodeMCU ESP8266. From my days in secondary school to my college years, I've honed my proficiency in C and Assembly. I've become 
                     well-versed in a variety of peripherals, including timers, ADC, GPIO, external interrupts, UART, PWM, and more. I'm passionate about designing efficient and
                      reliable embedded systems and have successfully completed projects that reflect my dedication to this field.</p>
            </section>
            <section class="myService">
                <div class = "myIcons">
                    <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-devices-2" width="80" height="80" viewBox="0 0 24 24" stroke-width="1.5" stroke="#FFD700" fill="none" stroke-linecap="round" stroke-linejoin="round">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                        <path d="M10 15h-6a1 1 0 0 1 -1 -1v-8a1 1 0 0 1 1 -1h6" />
                        <path d="M13 4m0 1a1 1 0 0 1 1 -1h6a1 1 0 0 1 1 1v14a1 1 0 0 1 -1 1h-6a1 1 0 0 1 -1 -1z" />
                        <path d="M7 19l3 0" />
                        <path d="M17 8l0 .01" />
                        <path d="M17 16m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                        <path d="M9 15l0 4" />
                      </svg>             
                </div><!-- .myIcons -->
                <h3>Software Development and Computer Science</h3>
                <p> In the pursuit of my Computer Engineering degree, I've acquired a broad software development toolkit. I became proficient in Object-Oriented Programming, primarily 
                    in Java. Concurrency has been a significant area of exploration, enabling me to tackle the complexities of parallel programming. I've also honed my skills in data 
                    structures and algorithms. While I may not be an expert, I've dabbled in regular expressions, using them effectively in specific projects. These skills collectively 
                    have given me a strong problem-solving toolkit.</p>
            </section>
            <section class="myService">
                <div class = "myIcons">
                    <!-- Web Icon -->
                    <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-browser" width="76" height="76" viewBox="0 0 24 24" stroke-width="1.5" stroke="#FFD700" fill="none" stroke-linecap="round" stroke-linejoin="round">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                        <rect x="4" y="4" width="16" height="16" rx="1" />
                        <line x1="4" y1="8" x2="20" y2="8" />
                        <line x1="8" y1="4" x2="8" y2="8" />
                    </svg>
                    <!-- Web Icon -->
                </div><!-- .myIcons -->
                <h3>Web Development</h3>
                <p>I'm actively pursuing web development through ongoing courses and practical experience. I'm well-versed in HTML, CSS, and JavaScript, 
                    which I use to create user-friendly web applications. I've also worked with databases, like Firebase, and I have ventured into back-end 
                    development by creating a RESTful API in C. This experience has given me insights into designing and implementing 
                    robust and efficient server-side solutions, as well as handling HTTP endpoints for data communication.</p>
            </section>
            <section class="myService">
                <div class = "myIcons">
                    <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-atom" width="80" height="80" viewBox="0 0 24 24" stroke-width="1.5" stroke="#FFD700" fill="none" stroke-linecap="round" stroke-linejoin="round">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                        <path d="M12 12v.01" />
                        <path d="M19.071 4.929c-1.562 -1.562 -6 .337 -9.9 4.243c-3.905 3.905 -5.804 8.337 -4.242 9.9c1.562 1.561 6 -.338 9.9 -4.244c3.905 -3.905 5.804 -8.337 4.242 -9.9" />
                        <path d="M4.929 4.929c-1.562 1.562 .337 6 4.243 9.9c3.905 3.905 8.337 5.804 9.9 4.242c1.561 -1.562 -.338 -6 -4.244 -9.9c-3.905 -3.905 -8.337 -5.804 -9.9 -4.242" />
                      </svg>   
                </div><!-- .myIcons -->
                <h3>Electronics</h3>
                <p>In order to become an electronic technician during secondary school, I acquired various skills in the field of electronics. I learned to design PCBs and manufacture them
                     to create prototypes and gained experience in designing electronic circuits, both analog and digital. I've worked with components such as inductors, resistors, 
                     capacitors, motors, transistors, relays, diodes, transformers, and various logic elements. This foundational knowledge has proven valuable in my development as a 
                     computer engineer, allowing me to contribute to a wide range of projects and bridge the gap between hardware and software domains. I also have some exposure to control
                      systems, including open loop/closed loop systems, transfer functions, and proportional, integral, and derivative control, although it's been a while since I've worked
                       with them, and I remain modest about my proficiency in this area.</p>
            </section>
            </section>
            <section class="myService">
                <div class = "myIcons">
                    <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-braces" width="80" height="80" viewBox="0 0 24 24" stroke-width="1.5" stroke="#FFD700" fill="none" stroke-linecap="round" stroke-linejoin="round">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                        <path d="M7 4a2 2 0 0 0 -2 2v3a2 3 0 0 1 -2 3a2 3 0 0 1 2 3v3a2 2 0 0 0 2 2" />
                        <path d="M17 4a2 2 0 0 1 2 2v3a2 3 0 0 0 2 3a2 3 0 0 0 -2 3v3a2 2 0 0 1 -2 2" />
                    </svg>     
                </div><!-- .myIcons -->
                <h3>Operating Systems</h3>
                <p>My journey in computer engineering required me to explore a wide range of concepts in operating systems, including the intricacies of the Linux environment, Linux device
                     drivers, makefiles, compilation and linking, Inter-Process Communication (IPC) mechanisms, dynamic memory management and more. I've also employed optimization 
                     techniques to enhance code efficiency and have experience in making workloads parallel using OpenMP, effectively improving application performance. Additionally, 
                     I've gained valuable experience with real-time operating systems like FreeRTOS enabling me to create applications that meet specific timing constraints. This skill set
                      equips me to handle complex, low-level programming tasks and optimize software performance in various environments.</p>
            </section>
            <section class="myService">
                <div class = "myIcons">
                    <!-- Phone-Android-IOS Icon -->
                    <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-brand-android" width="40" height="40" viewBox="0 0 24 24" stroke-width="1.5" stroke="#FFD700" fill="none" stroke-linecap="round" stroke-linejoin="round">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                        <line x1="4" y1="10" x2="4" y2="16" />
                        <line x1="20" y1="10" x2="20" y2="16" />
                        <path d="M7 9h10v8a1 1 0 0 1 -1 1h-8a1 1 0 0 1 -1 -1v-8a5 5 0 0 1 10 0" />
                        <line x1="8" y1="3" x2="9" y2="5" />
                        <line x1="16" y1="3" x2="15" y2="5" />
                        <line x1="9" y1="18" x2="9" y2="21" />
                        <line x1="15" y1="18" x2="15" y2="21" />
                    </svg>
                    <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-device-mobile" width="70" height="70" viewBox="0 0 24 24" stroke-width="1.5" stroke="#FFD700" fill="none" stroke-linecap="round" stroke-linejoin="round">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                        <rect x="7" y="4" width="10" height="16" rx="1" />
                        <line x1="11" y1="5" x2="13" y2="5" />
                        <line x1="12" y1="17" x2="12" y2="17.01" />
                    </svg>
                    <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-brand-apple" width="40" height="40" viewBox="0 0 24 24" stroke-width="1.5" stroke="#FFD700" fill="none" stroke-linecap="round" stroke-linejoin="round">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                        <path d="M9 7c-3 0 -4 3 -4 5.5c0 3 2 7.5 4 7.5c1.088 -.046 1.679 -.5 3 -.5c1.312 0 1.5 .5 3 .5s4 -3 4 -5c-.028 -.01 -2.472 -.403 -2.5 -3c-.019 -2.17 2.416 -2.954 2.5 -3c-1.023 -1.492 -2.951 -1.963 -3.5 -2c-1.433 -.111 -2.83 1 -3.5 1c-.68 0 -1.9 -1 -3 -1z" />
                        <path d="M12 4a2 2 0 0 0 2 -2a2 2 0 0 0 -2 2" />
                    </svg>
                    <!-- Phone-Android-IOS Icon -->
                </div> <!-- .myIcons -->
                <h3>Mobile App Development</h3>
                <p>While I'm still in the early stages of my mobile app development journey, I'm committed to expanding my expertise in this exciting field. My current focus is on learning
                     web development and React, with the goal of eventually mastering React Native. This approach allows me to design websites and seamlessly transition them into mobile
                      apps for both iOS and Android platforms. I'm eager to explore the world of mobile app development and continue honing my skills in this rapidly evolving field.</p>
            </section>
            <section class="myService">
                <div class = "myIcons">
                    <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-users" width="80" height="80" viewBox="0 0 24 24" stroke-width="1.5" stroke="#FFD700" fill="none" stroke-linecap="round" stroke-linejoin="round">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                        <path d="M9 7m-4 0a4 4 0 1 0 8 0a4 4 0 1 0 -8 0" />
                        <path d="M3 21v-2a4 4 0 0 1 4 -4h4a4 4 0 0 1 4 4v2" />
                        <path d="M16 3.13a4 4 0 0 1 0 7.75" />
                        <path d="M21 21v-2a4 4 0 0 0 -3 -3.85" />
                    </svg>          
                </div><!-- .myIcons -->
                <h3>Software Engineering</h3>
                <p> I learned to carefully analyze user requirements in order to transform them into actionable development plans. Additionally, I've gained experience in using version control
                    platforms like Git and have a fundamental understanding of agile methodologies. These skills allow me to contribute effectively to software projects, ensuring they align 
                    with user needs and adhere to efficient project management practices.</p>
            </section>
            <section class="myService">
                <div class = "myIcons">
                    <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-building-broadcast-tower" width="80" height="80" viewBox="0 0 24 24" stroke-width="1.5" stroke="#FFD700" fill="none" stroke-linecap="round" stroke-linejoin="round">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                        <path d="M12 12m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                        <path d="M16.616 13.924a5 5 0 1 0 -9.23 0" />
                        <path d="M20.307 15.469a9 9 0 1 0 -16.615 0" />
                        <path d="M9 21l3 -9l3 9" />
                        <path d="M10 19h4" />
                      </svg>       
                </div><!-- .myIcons -->
                <h3>Networking Fundamentals</h3>
                <p>I've gained a foundational understanding of internet protocols and networking principles through my coursework and practical experience. While it's been a while since
                     I've actively configured networks and servers, I can confidently work with internet requirements in software applications. My background includes configuring networks,
                     using Docker, dealing with proxies, and understanding IPv6. My knowledge of the TCP/IP stack fundamentals allows me to develop applications with internet-related
                     functionalities.</p>
            </section>
            <section class="myService">
                <div class = "myIcons">
                    <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-device-desktop-cog" width="80" height="80" viewBox="0 0 24 24" stroke-width="1.5" stroke="#FFD700" fill="none" stroke-linecap="round" stroke-linejoin="round">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                        <path d="M12 16h-8a1 1 0 0 1 -1 -1v-10a1 1 0 0 1 1 -1h16a1 1 0 0 1 1 1v7" />
                        <path d="M7 20h5" />
                        <path d="M9 16v4" />
                        <path d="M19.001 19m-2 0a2 2 0 1 0 4 0a2 2 0 1 0 -4 0" />
                        <path d="M19.001 15.5v1.5" />
                        <path d="M19.001 21v1.5" />
                        <path d="M22.032 17.25l-1.299 .75" />
                        <path d="M17.27 20l-1.3 .75" />
                        <path d="M15.97 17.25l1.3 .75" />
                        <path d="M20.733 20l1.3 .75" />
                      </svg> 
                </div><!-- .myIcons -->
                <h3>Computer Architecture</h3>
                <p>Throughout my computer engineering studies, I've explored the depths of computer architecture. This journey included building a pipelined MIPS processor, mastering its
                     components, pipelining techniques, hazard management, and gaining proficiency in x86 assembly language. I've also grasped segmented memory, the paging mechanism,
                      and protection mechanisms. My coursework introduced me to task context switching, optimizing instruction-level parallelism, and the critical role of cache memory
                       and memory hierarchies in system performance..</p>
            </section>
        </div> <!-- .myServices -->
    
        <section>
            <h4>Liked working with me?</h4>
            <form class="myForm" id="reviewForm">
                <fieldset>
                  <div class="center-legend">
                    <legend class="myLegend">Write me a review!</legend>
                  </div><!-- .center-legend -->
                  <div class="field-container">
                    <div class="myField">
                      <label>Name</label>
                      <input class="input-text" type="text" name="name" placeholder="Your name" />
                    </div><!-- .myField -->
              
                    <div class="myField">
                      <label>Phone number</label>
                      <input class="input-text" type="tel" name="phone" placeholder="Your phone number" />
                    </div><!-- .myField -->
              
                    <div class="myField">
                      <label>E-mail Address</label>
                      <input class="input-text" type="email" name="email" placeholder="Your e-mail address" />
                    </div><!-- .myField -->
              
                    <div class="myField">
                      <label>Review</label>
                      <textarea class="input-text" name="message" placeholder="Write your review here"></textarea>
                    </div><!-- .myField -->
              
                  </div><!-- .field-container -->
              
                  <div class="align-right flex">
                    <input class="w-small-100 button no_margin" type="submit" value="Submit" />
                  </div>
                </fieldset>
            </form><!-- .myFrom -->              
        </section>
    </main><!-- myContainer shadow -->
    
    <footer class="footer">
        <p>All rights reseved</p>
    </footer><!-- .footer -->   
    <script>
        document.addEventListener("DOMContentLoaded", function () {
        const languageSelect = document.getElementById("changeLanguage");

        languageSelect.addEventListener("change", function () {
            const selectedValue = languageSelect.value;

            if (selectedValue === "English") {
            window.location.href = "index.html"; // Change to the English page
            } else if (selectedValue === "Spanish") {
            window.location.href = "indexSpanish.html"; // Change to the Spanish page
            }
        });
        });
    </script>
    <script src="js/modernizr.js"></script>
    <script src="js/common.bundle.js"></script>
    <script src="js/index.bundle.js"></script>
</body>